For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETHealth check
      • POSTCreate account
      • GETGet current account
      • GETList API keys
      • POSTCreate API key
      • DELRevoke API key
LogoLogo
DashboardGet started
Generated API ExplorerAccounts

Create API key

POST
/v1/accounts/me/api-keys
POST
/v1/accounts/me/api-keys
$curl -X POST https://api.lipafy.xyzyz/v1/accounts/me/api-keys \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
201Created
1{
2 "api_key": {
3 "id": "string",
4 "name": "string",
5 "plaintplaintextxt": "string",
6 "prefix": "string",
7 "created_at": "2024-01-15T09:30:00Z",
8 "expires_at": "2024-01-15T09:30:00Z"
9 }
10}
Was this page helpful?
Previous

Revoke API key

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired1-100 characters
expires_atdatetimeOptional

Response

Key created (full secret returned once)

api_keyobject